## common-install-function-ddebs 1.80

=== debian/changelog ===
common-install-function-ddebs (1.80-0ddebs1~ubuntu24.04) noble; urgency=medium

  * if winehq repository is used to get latest wine version, we prefere it
    so replace wine path by NSH_WINEEXE, who select this version by default
    and fall back to the distribution one, if not found
  * removed playonlinux unused wine functions
  * added ddraw.dll native by default, that will work only if a ddraw.dll is
    available in the current running executable folder (like for d7vk)
  * added also d3d8, d3d9, d3d10core, d3d11 and dxgi native by default, that 
    will work only if links to those dlls are available in the current 
    running executable folder
  * cleaned up the use of CDROM with wine. Now use cdemu-client as backend
  * removed NSH_WINE_MountCD, NSH_WINE_UMmountCD, NSH_WINE_MountIso and
    NSH_WINE_UMmountIso, replaced by NSH_WINE_MountDISC and
    NSH_WINE_UnMountDISC

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Thu, 22 Jan 2026 00:11:22 +0100

common-install-function-ddebs (1.79-0ddebs1) unstable; urgency=medium

  * NSH_MAME_run_exe() : added -noreadconfig, hashpath, bgfx_path & ctrlrpath
  * by default, Playstation start with dualsockpads in every port
  * added lot's of debug

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Tue, 25 Mar 2025 23:40:51 +0100

common-install-function-ddebs (1.78-0ddebs1) unstable; urgency=medium

  * added NSH_LinkUserDataDirToTMP()
  * added NSH_CreateDirInTmp()
  * added and fixed logs

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Fri, 21 Mar 2025 13:32:49 +0100

common-install-function-ddebs (1.77-0ddebs2) unstable; urgency=medium

  * Updated to standards-version 4.6.2
  * use debhelper compatibility v13

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 10 Mar 2024 12:37:31 +0100

common-install-function-ddebs (1.77-0ddebs1) unstable; urgency=medium

  * added NSH_WINE2_run_specific()
  * added wine version when starting
  * add $APP_RUNPATH config variable

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 03 Jun 2023 13:12:22 +0200

common-install-function-ddebs (1.76-0ddebs1) unstable; urgency=medium

  * created Wine2 functions, to get rid of playonlinux

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 20 May 2023 14:22:21 +0200

common-install-function-ddebs (1.75-0ddebs3) unstable; urgency=medium

  * use xz compression until debian 13 is released

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 22 Apr 2023 16:44:34 +0200

common-install-function-ddebs (1.75-0ddebs2) unstable; urgency=medium

  * update to standards-version 4.6.0.1
  * make use of debhelper-compat (= 12) dependency, and remove
    debian/compat file

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Mon, 04 Apr 2022 11:04:06 +0200

common-install-function-ddebs (1.75-0ddebs1) unstable; urgency=medium

  * add "game" to $NSH_SetInstallPath
  * simplified NSH_LinkUserDataFileToTMP()

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 02 Jan 2022 12:06:44 +0100

common-install-function-ddebs (1.74-0ddebs1) unstable; urgency=medium

  * add atarist endscript

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 03 Apr 2021 21:16:10 +0200

common-install-function-ddebs (1.73-0ddebs1) unstable; urgency=medium

  * add scummvm endscript

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Mon, 29 Mar 2021 21:35:59 +0200

common-install-function-ddebs (1.72-0ddebs1) unstable; urgency=medium

  * endscript_dos : added $APP_SETSOUND and $APP_EXE
  * endscript_dos : use NSH_RunAnyDOSBOX instead of NSH_RunDOSBOX
  * removed NSH_RunDOSBOX()

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Wed, 24 Mar 2021 10:46:31 +0100

common-install-function-ddebs (1.71-0ddebs1) unstable; urgency=medium

  * Renamed all wine function
  * removed NSH_std_run_wo_arg_WINE and more function wine related
  * created endscript fonctions to avoid bad copy/paste

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Thu, 04 Mar 2021 23:06:50 +0100

common-install-function-ddebs (1.70-0ddebs1) unstable; urgency=medium

  * added some debug text
  * NSH_LinkConfig() : bugfix, wrong path of .init file
  * NSH_std_run_WINE() 
    * bugfix, need to wait a second after first run
    * added possibility to optionnal argument
  * removed NSH_std_run_wo_arg_WINE()

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Thu, 04 Mar 2021 11:21:31 +0100

common-install-function-ddebs (1.69-0ddebs1) unstable; urgency=medium

  * Updated NSH_POL_CreatePrefix() to use system wine when version is set to 
    system
  * Updated NSH_CURRENT_WINE to system
    we assume that by default it's always working with the system wine.
    system wine is always lighter, and works better most of the time
    also, it's automatically at the latest stable version (if you use PPA)
  * better value for $polscreenmode 
    - integrated
    - integratedfullscreen
    - virtualdesktop
  * NSH_POL_SetPrefix() renamed prefix
    - integ_wine${WINE_RECOMM}${ARCH}generic
    - vdesk_wine${WINE_RECOMM}${ARCH}generic
  * NSH_std_run_WINE() 
      if $polscreenmode=integratedfullscreen
      then the screen resolution is changed, with correct aspect-ratio on 
      primary screen, just before starting the app and goes back to a "standard"
      desktop
  * $APP_RES has been added as a new configuration variable in .conf files
    (used in NSH_std_run_WINE())
  * NSH_SetInstallPath() got new option and updated to be more agnostic
    - wine to install win32 normal apps
    - winegame install win32 games has beend modified
  * updated NSH_prepare_std_first_run_WINE()
  * added $NSH_LOCALUSERCONFIG to cleanup the mess in config directory
    so updated a lot of functions
  * removed patch, that is not usefull anymore

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Mon, 22 Feb 2021 10:57:44 +0100

common-install-function-ddebs (1.68-0ddebs1) unstable; urgency=medium

  * Updated NSH_CURRENT_WINE to 6.0
  * Bugfix NSH_POL_Create_Install_Link() and NSH_POL_Create_HDDInstall_Link()
  * removed audio fix (didn't fix anything anymore)

